<?php
include $_SERVER["DOCUMENT_ROOT"] . "/php/scripts.php";
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["username"]) && isset($_POST["password"])) {
    $username = trim($_POST["username"]);
    $password = trim($_POST["password"]);
    if (strlen($username) < 4)
        jsonMsg("Login użytkownika musi mieć przynajmniej 4 znaki");
    elseif (strlen($username) > 32)
        jsonMsg("Login nie może być dłuższa niż 32 znaki");
    elseif (strlen($password) < 4)
        jsonMsg("Hasło musi mieć przynajmniej 4 znaki");
    elseif (strlen($password) > 32)
        jsonMsg("Hasło nie może być dłuże niż 32 znaki");
    else {
        $conn = connectDB();
        $stmt = $conn->prepare("SELECT 1 FROM users where username = ? LIMIT 1");
        $stmt->bind_param("s", $username);
        $stmt->execute();
        if ($stmt->fetch())
            jsonMsg("Użytkownik o takim loginie już istnieje");
        else {
            $password = password_hash($password, PASSWORD_ARGON2I);
            $stmt = $conn->prepare("INSERT INTO users (username, password) VALUES (?, ?)");
            $stmt->bind_param("ss", $username, $password);
            if ($stmt->execute()) {
                header('Content-Type: application/json');
                echo json_encode(["redirect" => "/login/", "msg" => "Utworzono użytkownika $username"]);
            } else
                jsonMsg("Nie udało się utworzyć użytkownika");
        }
        $stmt->close();
        $conn->close();
    }
} else
    jsonMsg("Nieprawidłowy request");